class StickerCollection {

    constructor(name, stickers, enabled = true, locked = false) {
        this._name = name;
        this._stickers = stickers;
        this._locked = locked;
        this._enabled = enabled;
    }

    get stickers() {
        return this._stickers;
    }

    set stickers(value) {
        this._stickers = value;
    }

    get name() {
        return this._name;
    }

    set name(value) {
        this._name = value;
    }

    get locked() {
        return this._locked;
    }

    set locked(value) {
        this._locked = value;
    }

    get enabled() {
        return this._enabled;
    }

    set enabled(value) {
        this._enabled = value;
    }

}

function getStickersByGroup(collection, groups){
    let stickers = [];
    collection._stickers.forEach(function(s){
        let intersection = s.groups.filter(value => groups.includes(value));

        if(intersection.length > 0){
            stickers.push(s);
        }
    });
    return stickers;
}